View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
reasonenum<CreditNoteReason>Optionalcredit_amountobject<AmountNoCurrency | null>Optionalrefund_amountobject<AmountNoCurrency | null>Optionalamountobject<AmountNoCurrency>Requiredapplication/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/credit-notes" \ -H "Content-Type: application/json" \ -d '{ "invoice_id": "1a901a90-1a90-1a90-1a90-1a901a901a90", "items": [ { "fee_id": "1a901a90-1a90-1a90-1a90-1a901a901a90", "amount": { "value": 0.1 } }, { "fee_id": "1a901a90-1a90-1a90-1a90-1a901a901a91", "amount": { "value": 0.05 } } ] }'{ "billing_entity_code": "acme_inc", "sequential_id": 2, "number": "PP-1234-US", "invoice_id": "1a901a90-1a90-1a90-1a90-1a901a901a90", "invoice_number": "PP-1234", "issuing_date": "2022-12-06", "credit_status": "AVAILABLE", "refund_status": "PENDING", "reason": "OTHER", "description": "Free text", "total_amount": { "value": 1.2, "currency_code": "USD" }, "taxes_amount": { "value": 0.2, "currency_code": "USD" }, "taxes_rate": 0.2, "sub_total_excluding_taxes_amount": { "value": 1, "currency_code": "USD" }, "balance_amount": { "value": 1, "currency_code": "USD" }, "credit_amount": { "value": 1, "currency_code": "USD" }, "refund_amount": { "value": 0, "currency_code": "USD" }, "created_at": "2022-09-14T16:35:31Z", "updated_at": "2022-09-14T16:35:31Z", "items": [ { "id": "1a901a90-1a90-1a90-1a90-1a901a901a90", "amount": { "value": 1, "currency_code": "USD" }, "fee": { "id": "1a901a90-1a90-1a90-1a90-1a901a901a90", "total_amount": { "value": 1.2, "currency_code": "USD" }, "name": "Basic Plan" } } ], "applied_taxes": [ { "credit_note_id": "1a901a90-1a90-1a90-1a90-1a901a901a90", "base_amount": { "value": 1, "currency_code": "USD" }, "id": "1a901a90-1a90-1a90-1a90-1a901a901a90", "tax_id": "1a901a90-1a90-1a90-1a90-1a901a901a90", "tax_name": "TVA", "tax_code": "french_standard_vat", "tax_rate": 20, "tax_description": "French standard VAT", "amount": { "value": 20, "currency_code": "USD" }, "created_at": "2022-09-14T16:35:31Z" } ], "id": "string"}